Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Stage Reviews

List
GET /serviceformModules/{moduleId}/forms/{formId}/stagereviews
https://api.relesysapp.net/api/v1.2/serviceformModules/{moduleId}/forms/{formId}/stagereviews
Get a list of stage reviews for the form with ID formId

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"32c4413f-b8ff-4f56-9897-09bcf6b69045","url":null,"stageId":"ed4f94f0-13ba-471b-af64-64ac9817956f","stageUrl":null,"fillingId":"5225710a-877c-434e-8b05-89fee5dd4d58","fillingUrl":null,"userId":"bb7493fc-a6c6-4065-80be-422417b66b6f","userUrl":null,"status":"Approved","reviewDateTime":"2026-04-28T17:52:50.4982623+00:00","creationDateTime":"2026-04-28T17:52:50.4982623+00:00","lastModifiedDateTime":"2026-04-30T17:52:50.4982623+00:00"},{"id":"000c0589-15b6-4496-9085-4386556e5a6e","url":null,"stageId":"918949ce-4ddc-447d-a3cc-f4463a9211ef","stageUrl":null,"fillingId":"9bec3d0d-43b2-4717-ac91-4c812302fcd3","fillingUrl":null,"userId":null,"userUrl":null,"status":"Pending","reviewDateTime":null,"creationDateTime":"2026-04-28T17:52:50.4982623+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   stageUrl string      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string